Subject: Re: bug#34123: A patch to fix reading EOF characters in non-interactive mode

From: Eli Zaretskii <[email-masked]>
Date: Mon, 21 Jan 2019 17:44:20 +0200

> From: Shawn Presser <[email-masked]>
> Date: Mon, 21 Jan 2019 02:59:36 -0600
> Cc: [email-masked]
> 
> Hi, just checking in. I wanted to thank you for taking the time to reply and ask about this bug. It's my first
> emacs patch and I'm not entirely sure if I'm following the process correctly here. I'd like to try answering your
> questions more succinctly.
> 
> Is there a "next step" at this point, or something that I can do to help with emacs in general?

I'm still considering the implications of your suggestion on the other
use cases.  One possible alternative would be to add a function that
will clear the error condition, and let users/Lisp programs call it.
This way, the default response to EOF will remain intact.

Perhaps someone else will chime in with opinions and ideas.

Thanks.